Bug 86225 - new port: sysutils/rej - Merges patch-rejects and runs a merge program to verify the changes
Summary: new port: sysutils/rej - Merges patch-rejects and runs a merge program to ver...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-16 20:30 UTC by Emanuel Haupt
Modified: 2005-09-19 11:48 UTC (History)
0 users

See Also:


Attachments
rej.shar (2.63 KB, text/plain)
2005-09-16 20:30 UTC, Emanuel Haupt
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-09-16 20:30:08 UTC
new port: sysutils/rej - Merges patch-rejects and runs a merge program to verify the changes

rej tries to merge simple patch-rejects and then run a merge program so the
changes can be verified.  It is not meant to resolve complex problems that
would not be immediately obvious to the programmer, the goal instead is to
quickly fix the easy problems.  

rej understands both unified and context diffs.

There are four basic rejects fixable via rej.

  1. missing context at the top or bottom of the hunk
  2. different context in the middle of the hunk
  3. slightly different lines removed by the hunk than exist in the file
  4. Large hunks that might apply if they were broken up into smaller ones

rej also allows you to tag hunks in a reject with special processing
hints.
Comment 1 Emanuel Haupt 2005-09-16 22:52:07 UTC
this port should use USE_PERL5_RUN instead of USE_PERL5

new shar:

--- rej.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	rej
#	rej/Makefile
#	rej/pkg-descr
#	rej/distinfo
#
echo c - rej
mkdir -p rej > /dev/null 2>&1
echo x - rej/Makefile
sed 's/^X//' >rej/Makefile << 'END-of-rej/Makefile'
X# New ports collection makefile for:	rej
X# Date created:				16 Sep 2005
X# Whom:					Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	rej
XPORTVERSION=	0.15
XCATEGORIES=	sysutils perl5
XMASTER_SITES=	http://critical.ch/distfiles/
XMASTER_SITES+=	http://ftp.suse.com/pub/people/mason/rej/
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT=	Merges patch-rejects and runs a merge program to verify the changes
X
XUSE_PERL5_RUN=	yes
XNO_BUILD=	yes
XUSE_REINPLACE=	yes
X
XPORTDOCS=	CHANGELOG README vimrc
XPLIST_FILES=	bin/rej bin/qp
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500806
XIGNORE=		needs Perl 5.8.6 or above (lang/perl5.8)
X.endif
X
Xpost-patch:
X.for f in ${PORTNAME} qp
X	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|' \
X		${WRKSRC}/${f}
X.endfor
X	@${REINPLACE_CMD} -e 's|/bin/bash|${SH}|' \
X		${WRKSRC}/runtests.sh
X
Xdo-install:
X.for f in ${PORTNAME} qp
X	${INSTALL_SCRIPT} ${WRKSRC}/${f} ${PREFIX}/bin
X.endfor
X
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}
X.for f in ${PORTDOCS}
X	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X
Xrun-test: patch
X	@cd ${WRKSRC}; ${SH} runtests.sh
X
X.include <bsd.port.post.mk>
END-of-rej/Makefile
echo x - rej/pkg-descr
sed 's/^X//' >rej/pkg-descr << 'END-of-rej/pkg-descr'
Xrej tries to merge simple patch-rejects and then run a merge program so the
Xchanges can be verified.  It is not meant to resolve complex problems that
Xwould not be immediately obvious to the programmer, the goal instead is to
Xquickly fix the easy problems.  
X
Xrej understands both unified and context diffs.
X
XThere are four basic rejects fixable via rej.
X
X  1. missing context at the top or bottom of the hunk
X  2. different context in the middle of the hunk
X  3. slightly different lines removed by the hunk than exist in the file
X  4. Large hunks that might apply if they were broken up into smaller ones
X
Xrej also allows you to tag hunks in a reject with special processing
Xhints.
X
XWWW: http://ftp.suse.com/pub/people/mason/rej/
X
X- ehaupt
Xehaupt@critical.ch
END-of-rej/pkg-descr
echo x - rej/distinfo
sed 's/^X//' >rej/distinfo << 'END-of-rej/distinfo'
XMD5 (rej-0.15.tar.gz) = 49d6ef35808a90617b375aeb231c2b84
XSIZE (rej-0.15.tar.gz) = 422508
END-of-rej/distinfo
exit
--- rej.shar ends here ---
Comment 2 haupt 2005-09-16 23:32:32 UTC
please remove 'perl5' from CATEGORIES (sorry it is getting late)
Comment 3 Renato Botelho freebsd_committer 2005-09-19 11:24:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it
Comment 4 Renato Botelho freebsd_committer 2005-09-19 11:48:38 UTC
State Changed
From-To: open->closed

New port added. Thanks!